Page MenuHomeFreeBSD

A depends blacklist qa check.
ClosedPublic

Authored by mat on Mar 12 2019, 1:42 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

  • lang/python can depend on lang/pythonX.
  • little comment.
  • Add lang/llvm.
  • Add a comment about why this is for.

It seems to me that most meta-ports should not be direct dependencies. Why not generalize this? DEPEND_ALTERNATIVE= USES=python:xy with a specific version

Requiring a change in qa.sh might deter people from using this behaviour in other ports when they probably should.

Mk/Scripts/qa.sh
960 ↗(On Diff #55039)

I'd suggest "$origin should not be depended upon. Instead, use $instead"

It seems to me that most meta-ports should not be direct dependencies. Why not generalize this? DEPEND_ALTERNATIVE= USES=python:xy with a specific version

Requiring a change in qa.sh might deter people from using this behaviour in other ports when they probably should.

Well, I thought about going that way, but decided against, I'd rather there be some sort of overview, or central repository, of what ports should not be depended upon than anyone adding this to their port without understanding what it does. Also, I think the list should remain short.

Also, it is somewhat impossible to do it with a variable set in a dependency, because their Makefile is not read when a port is installed, or they could already be installed.

Maybe ports that USES=metaport should get a warning when they are being depended upon, but it's a somewhat different subject.

  • Reword error message.
mat marked an inline comment as done.Mar 14 2019, 9:45 AM
In D19562#419088, @mat wrote:

Also, it is somewhat impossible to do it with a variable set in a dependency, because their Makefile is not read when a port is installed, or they could already be installed.

Maybe ports that USES=metaport should get a warning when they are being depended upon, but it's a somewhat different subject.

So, forget the last bit, I wrote the line before that it was not possible ^^.

  • llvm is in devel, not lang.
This revision was not accepted when it landed; it landed in state Needs Review.Mar 18 2019, 3:59 PM
This revision was automatically updated to reflect the committed changes.